> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Sources

> Update an existing knowledge base sources.



## OpenAPI

````yaml POST /api/v1/knowledge-bases/{knowledge_base_id}/sources/add
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/knowledge-bases/{knowledge_base_id}/sources/add:
    parameters:
      - in: path
        name: knowledge_base_id
        description: The ID of the knowledge base.
        example: 01kpwc4jtev0fs10ycryj2yawr
        required: true
        schema:
          type: string
    post:
      tags:
        - Knowledge Base
      summary: Add Knowledge Base Sources
      description: Update an existing knowledge base sources.
      operationId: addKnowledgeBaseSources
      parameters: []
      requestBody:
        required: false
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                texts:
                  type: array
                  description: ''
                  example: []
                  items:
                    type: object
                    properties:
                      title:
                        type: string
                        description: Must not be greater than 255 characters.
                        example: p
                      text:
                        type: string
                        description: ''
                        example: example
                    required:
                      - title
                      - text
                files:
                  type: array
                  description: Must be a file. Must not be greater than 102400 kilobytes.
                  items:
                    type: string
                    format: binary
                urls:
                  type: array
                  description: ''
                  example: []
                  items:
                    type: object
                    properties:
                      base_url:
                        type: string
                        description: ''
                        example: >-
                          http://www.example.com/quos-velit-et-fugiat-sunt-nihil-accusantium-harum.html
                      urls:
                        type: array
                        description: Must be a valid URL.
                        example:
                          - >-
                            https://www.example.com/ab-provident-perspiciatis-quo-omnis-nostrum-aut-adipisci
                        items:
                          type: string
                    required:
                      - base_url
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44eyxxj6hmxzx9ntpsj11
                    name: eius et animi
                    texts: []
                    urls: []
                    files: []
                    created_at: '2026-05-01T06:38:04+00:00'
                    updated_at: '2026-05-01T06:38:04+00:00'
                    workspace_id: 01kqh44eyg8hwjay1v7qhca6xz
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44eyxxj6hmxzx9ntpsj11
                      name:
                        type: string
                        example: eius et animi
                      texts:
                        type: array
                        example: []
                      urls:
                        type: array
                        example: []
                      files:
                        type: array
                        example: []
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:04+00:00'
                      workspace_id:
                        type: string
                        example: 01kqh44eyg8hwjay1v7qhca6xz
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````